import {Component, OnInit} from '@angular/core';
import {BooksService} from '../../services/books.service';
import {Author} from '../../model/author';
import {Observable} from 'rxjs/Observable';

@Component({
  selector: 'app-authors',
  templateUrl: './authors.component.html',
  styleUrls: ['./authors.component.css']
})
export class AuthorsComponent implements OnInit {
  authors: Observable<Author[]>;

  constructor(private booksService: BooksService) {
  }

  ngOnInit() {
    this.authors = this.booksService.getAuthors();
  }

}
